MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001763VCMIMechanics - Battlespublic2014-03-28 05:042014-05-18 21:07
Reporterexfizik 
Assigned ToAlexVinS 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinux 64 bitOSOpenSuseOS Version12.3
Product Version0.95 
Target VersionFixed in Version0.95c 
Summary0001763: Game crashes when attempting to resurrect
DescriptionWhen I cast resurrect on a still living stack located on a grid cell where another friendly stack died before (in the same battle), the game crashes. I suppose the game gets confused which stack to apply the spell to.

Here is the console error message:
Cannot resurrect Battle stack [2]: 0 creatures of Master Genies from slot 2 of armyobj=3861 because hex {BattleHex: x '15', y '1', hex '32'} is occupied!
Error: server failed to close correctly or crashed!

Master genies are the stack that died before. I was attempting to cast Resurrection on Nagas sitting on the dead genies.
TagsNo tags attached.
Attached Files? file icon q111aaaa123Aaaa.vsgm1 [^] (2,835,123 bytes) 2014-03-28 05:04

- Relationships
related to 0000525assignedAVS Selection of Resurrection target with mutiple dead creatures on a hex 

-  Notes
(0004624)
exfizik (reporter)
2014-03-28 05:06

I'm using a post 0.95 svn build.
(0004625)
Warmonger (administrator)
2014-03-28 06:46

Just telling that savegame consists of 2 files.
(0004662)
AlexVinS (developer)
2014-05-17 09:29

Fixed in https://github.com/vcmi/vcmi/commit/573293d42519b9aa58ec8f40d4af10828009487f [^]

Please test

- Issue History
Date Modified Username Field Change
2014-03-28 05:04 exfizik New Issue
2014-03-28 05:04 exfizik File Added: q111aaaa123Aaaa.vsgm1
2014-03-28 05:06 exfizik Note Added: 0004624
2014-03-28 06:46 Warmonger Note Added: 0004625
2014-05-17 05:49 AlexVinS Assigned To => AlexVinS
2014-05-17 05:49 AlexVinS Status new => assigned
2014-05-17 09:29 AlexVinS Note Added: 0004662
2014-05-17 09:29 AlexVinS Status assigned => resolved
2014-05-17 09:29 AlexVinS Fixed in Version => 0.95c
2014-05-17 09:29 AlexVinS Resolution open => fixed
2014-05-17 20:07 Warmonger Relationship added related to 0000525

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2021 MantisBT Team
Hosting provided by DigitalOcean